API Plugin with Curios API Support Build Error

Started by GamesofFreak on Sat, 04/03/2021 - 16:49

Topic category: Advanced modding

Last seen on 14:42, 11. May 2021
Joined Feb 2018
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
API Plugin with Curios API Support Build Error
Sat, 04/03/2021 - 16:49

I want to make my own API Plugin for 1.16.5 and higher and I got it Curios API work with 1.16.5.
But if I want to use the Curios API through Workspace API Settings I got this Build Error:
 

Executing Gradle task: build 
Build info: MCreator 2021.1.12313 EAP (12313), forge-1.16.5, 64-bit, 8082 MB, Windows 10, JVM 1.8.0_275, JAVA_HOME: C:\Users\Jonas\Downloads\MCreatorEAP20211b12313\jdk 
FAILURE: Build failed with an exception. 
* Where: 
Script 'C:\Users\Jonas\MCreatorWorkspaces\infinityrpg\mcreator.gradle' line: 1 
* What went wrong: 
A problem occurred evaluating script. 
> Cannot invoke method dependencies() on null object 
* Try: 
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights. 
* Get more help at https://help.gradle.org 
BUILD FAILED in 947ms 
BUILD FAILED 
Task completed in less than a second 

Here is the curios api yaml code to add APIs through Plugins:

forge-1.16.5:
    gradle:
      repositories {
        maven {
            url = "https://maven.theillusivec4.top/"
        }
      }
      dependencies {
        runtimeOnly fg.deobf("top.theillusivec4.curios:curios-forge:1.16.5-4.0.5.0")
        compileOnly fg.deobf("top.theillusivec4.curios:curios-forge:1.16.5-4.0.5.0:api")
        }
    update_files:
    - ~
name: "Curios API"

I don't think there is an error but know someone why I have this Build Error in MCreator?

Last seen on 14:42, 11. May 2021
Joined Feb 2018
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
I found the Solution why I…
Mon, 04/05/2021 - 13:38

I found the Solution why I got the Error. I just forgot some Code to make it work.